Subject: bug#69734: BUG: Inconsistent Emacs documentation...

From: Eli Zaretskii <[email-masked]>
Date: Mon, 11 Mar 2024 18:43:39 +0200

> From: Mikael Larsson <[email-masked]>
> Date: Mon, 11 Mar 2024 14:34:35 +0100
> 
> I just downloaded the documentation for Emacs 29.2 as a pdf file. Comparing this to the version online I can
> see that the content is not the same. At least one of the versions is faulty or out of date. I'm referring to links
> on the following page:
> https://www.gnu.org/software/emacs/manual/emacs.html
> 
> Looking at "HTML - one page per node" I can see that chapter 15.22 is "Line Truncation". If I look at the pdf
> version "Main PDF file", that chapter is 11.22. The pdf document is labeled as consistent with version 29.2 on
> page T-3. I assume this is just an issue with generating the pdf version. 
> Thanks in advance for your help.

This is normal: the printed version of the manual omits some of the
material, to make the printed book smaller and less expensive.  You
are well advised to use an on-line version, either HTML or the Info
version (the latter is part of a standard Emacs installation).

> Q: How can I get the full output of the macro expansion below? I assume it's some variable that needs
> tweaking, but I can't find it in the manual. Thank you.

I think you are looking for the answer in the wrong manual.  You
should look in the ELisp Reference manual, there's a section there
named "Expansion of a Macro Call".